Saltar al contenido principal
PUT
/
v1
/
items
/
skus
/
{skuReference}
/
stock
Updates the stock of the sku in a given location
curl --request PUT \
  --url https://api.bold-factory.com/v1/items/skus/{skuReference}/stock \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "locationReference": "<string>",
  "stock": 123,
  "lotId": "<string>",
  "comment": "<string>"
}
'
{
  "type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
  "title": "Filter parsing failed",
  "status": 400,
  "detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
  "instance": "POST /v1/items/products/search",
  "code": "FILTER_PARSING_FAILED"
}

Autorizaciones

Authorization
string
header
requerido

Use a valid JWT token in the Authorization header with the format 'Bearer {token}'

Parámetros de ruta

skuReference
string
requerido

Cuerpo

application/json
locationReference
string
requerido
stock
number<double>
requerido
lotId
null | string
comment
null | string

Respuesta

No Content